# Enum JointType

java.lang.Object
java.lang.Enum<JointType>
com.codename1.gaming.physics.box2d.dynamics.joints.JointType

All Implemented Interfaces:
  `Comparable<JointType>`

public enum JointType extends Enum<JointType>

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CONSTANT_VOLUME`
  `DISTANCE`
  `FRICTION`
  `GEAR`
  `MOUSE`
  `PRISMATIC`
  `PULLEY`
  `REVOLUTE`
  `ROPE`
  `UNKNOWN`
  `WELD`
  `WHEEL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static JointType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static JointType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UNKNOWN

    public static final JointType UNKNOWN

  - ### REVOLUTE

    public static final JointType REVOLUTE

  - ### PRISMATIC

    public static final JointType PRISMATIC

  - ### DISTANCE

    public static final JointType DISTANCE

  - ### PULLEY

    public static final JointType PULLEY

  - ### MOUSE

    public static final JointType MOUSE

  - ### GEAR

    public static final JointType GEAR

  - ### WHEEL

    public static final JointType WHEEL

  - ### WELD

    public static final JointType WELD

  - ### FRICTION

    public static final JointType FRICTION

  - ### ROPE

    public static final JointType ROPE

  - ### CONSTANT_VOLUME

    public static final JointType CONSTANT_VOLUME

- ## Method Details

  - ### values

    public static JointType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static JointType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null